| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::HandleOwnerMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, uint >.

List of all members.

## Public Member Functions

- HandleOwnerMap ()
- HandleOwnerMap (const QMap< uint, uint > &a)
- HandleOwnerMap & operator= (const QMap< uint, uint > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, uint>, but needed to have a discrete type in the Qt type system.

A map from channel-specific handles to their owners.

## Constructor & Destructor Documentation

Tp::HandleOwnerMap::HandleOwnerMap | ( |  | ) | `[inline]`

Tp::HandleOwnerMap::HandleOwnerMap | ( | const QMap< uint, uint > & | a | ) | `[inline]`

## Member Function Documentation

HandleOwnerMap& Tp::HandleOwnerMap::operator= | ( | const QMap< uint, uint > & | a | ) | `[inline]`